/* 
 * Tcl_ContinueException.java --
 *
 *	This file defines the class Tcl_ContinueException which is used
 *      to signal a Tcl continue condition within Java code.
 *
 * Copyright (c) 1996 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS:
 */

package tcl;

/**
 * A Tcl result-code exception indicating a "continue" condition.
 *
 * @version     1.0, 23 August 1996
 * @author      Glenn Vanderburg
 */

public
class Tcl_ContinueException extends Tcl_ControlException 
{
    /**
     * Creates a new exception.
     */
    public
    Tcl_ContinueException()
    {
	super("A \"continue\" request from a Tcl script has occurred");
    }

    /**
     * Returns the Tcl result code for this exception
     * @return the Tcl result code
     */
    public final int
    getCode()
    {
	return Interp.TCL_CONTINUE;
    }
}
