/* 
 * Tcl_ControlException.java --
 *
 *	This file defines the class Tcl_ControlException, an abstract
 *      class which serves as the supertype for classes representing
 *      Tcl control-flow exceptions.
 *
 * Copyright (c) 1996 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS:
 */

package tcl;

/**
 * An abstract base class for Tcl control-flow exceptions.
 *
 * @version     1.0, 23 August 1996
 * @author      Glenn Vanderburg
 */

public abstract
class Tcl_ControlException extends Tcl_ResultCodeException 
{
    /**
     * Creates a new exception.
     * @param detail a string describing the condition which
     * caused the exception.
     */
    protected
    Tcl_ControlException(String detail)
    {
	super(detail);
    }
}
