/* 
 * Value.java --
 *
 *	This file contains the Value class which represents the
 *	multi-port values used by the Tcp interpreter.
 *
 * Copyright (c) 1995 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) Value.java 1.1 95/12/19 10:23:52
 */

package tcl;

/**
 * A Tcl value (that is, a string).
 */

public class Value {

    /** the empty value */
    public static final Value EMPTY = new Value("");
    
    /**
     * Creates a new value.
     * @param s the value as a simple string
     */
    public Value(String s) { 
	string = s;
    }

    /**
     * Returns the value as a simple string
     * @return the value as a simple string
     */
    public String toString() { return string; }

    private String string;
}
